/**
 * Copyright (C) 2007-2011 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "utils.h"
#include "main.h"

WkSlideshowItemType
wk_slideshow_item_guess_type (const gchar *uri)
{
    if (is_local_image_uri (uri))
        return WK_SLIDESHOW_ITEM_TYPE_IMAGE;
    if (is_local_text_uri (uri))
        return WK_SLIDESHOW_ITEM_TYPE_TEXT;
    if (is_video_uri (uri))
        return WK_SLIDESHOW_ITEM_TYPE_VIDEO;
    return WK_SLIDESHOW_ITEM_TYPE_WEB;
}

WkSlideshowItem *
wk_slideshow_item_new (const char *uri,
                       WkSlideshowItemType type,
                       int timeout)
{
    WkSlideshowItem *item;

    item = g_new (WkSlideshowItem, 1);

    item->uri = g_strdup (uri);
    item->timeout = timeout;
    item->type = type ? type : wk_slideshow_item_guess_type (uri);

    return item;
}

void
wk_slideshow_item_free (WkSlideshowItem *item)
{
    g_free (item->uri);
    g_free (item);
}
